<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Друзья';
require_once('conf/head.php');
require_once('conf/top.php');

switch($_GET[act]){
default:
$user_id=abs(intval($_SESSION['id']));
$query = "Select * from friend where user_id='$user_id' or `frend_id` = '$user_id' and `tip` = '1'" ;
	$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	$frd = mysqli_num_rows($result); 
$query_z = "Select * from friend where user_id='$user_id' or `frend_id` = '$user_id' and `tip` = '0'" ;
	$result_z = mysqli_query($dbc, $query_z) or die ('Ошибка передачи запроса к БД');
	$zayavki= mysqli_num_rows($result_z); 

$count=mysqli_num_rows(mysqli_query($dbc,"SELECT COUNT(*) FROM`friend` WHERE `user_id` = '$user_id' or `frend_id` = '$user_id' and `tip` = '1'"));
include_once 'nav_class.php';
echo"<center><p class='name'><span class='white'>Друзья (<span class='bonus'>".$frd."</span>)</span></p></center>";
echo'<a href="friends.php?act=new" class="prof"><img src="img/ico/bonus.gif" width="12" height="12"/>Заявки (<span class="bonus">'.$zayavki.'</span>)</a><p><center>Список:</center></p>';
//Эх подстраничная навигация нелезть:)
$nstr='10'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`friend` WHERE `user_id` = '$user_id' or `frend_id` = '$user_id' and `tip` = '1'"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
$query_us = "Select * from `friend` WHERE `user_id` = '$user_id' or `frend_id` = '$user_id' and `tip` = '1' order by id desc LIMIT $str,$nstr";
      $result_us = mysqli_query($dbc, $query_us) or die ('Ошибка передачи запроса к БД');
	  while ($dr = mysqli_fetch_array($result_us)) {
$anka= $dbc->query("SELECT * FROM `users` WHERE `id` = '".$dr['frend_id']."'")->fetch_assoc();
$g=$anka[gruppa];
if($g=='dolg'){$gruppa='<img src="/img/ico/dolg.png" height="12" width="12"/>';}elseif($g=='naemniki'){$gruppa='<img src="/img/ico/odinochkion.png" height="12" width="12"/>';}elseif($g=='svoboda'){$gruppa='<img src="/img/ico/svoboda.png" height="12" width="12"/>';}
$last_active = $anka['last_active'];$last_active = strtotime("$last_active");$now = (date("Y-m-d H:i:s"));$now = strtotime("$now");$ont = ($now - $last_active);
if($ont<300){$onl='<img src="/img/ico/on.png" height="12" width="12"/>';}else{$onl='<img src="/img/ico/off.png" height="12" width="12"/>';}
echo' <div class="r6">'.$onl.' '.$gruppa.'<a style="text-decoration:none;" href="user.php?id='.$anka['id'].'">'.$anka['nick'].'</a></div>';
}
if($count==0){echo'У вас еще нет друзей';}
if($count>0){$pages->print_nav('&');} //Навигация гг
echo"<div class='r2'><img src='inc/arrow.png' ><a  style='text-decoration:none;' href=\"msg.php?\">Назад</a></div>";

break; 

case 'new':
$user_id=abs(intval($_SESSION['id']));
$query = "Select * from friend where user_id='$user_id' or `frend_id` = '$user_id' and `tip` = '1'" ;
	$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	$frd = mysqli_num_rows($result); 
$query_z = "Select * from friend where user_id='$user_id' or `frend_id` = '$user_id' and `tip` = '0'" ;
	$result_z = mysqli_query($dbc, $query_z) or die ('Ошибка передачи запроса к БД');
	$zayavki= mysqli_num_rows($result_z); 

$count=mysqli_num_rows(mysqli_query($dbc,"SELECT COUNT(*) FROM`friend` WHERE `user_id` = '$user_id' or `frend_id` = '$user_id' and `tip` = '0'"));
include_once 'nav_class.php';
echo"<center><p class='name'><span class='white'>Заявки (<span class='bonus'>".$zayavki."</span>)</span></p></center>";
echo'<a href="friends.php" class="prof"><img src="img/ico/bonus.gif" width="12" height="12"/>Друзья (<span class="bonus">'.$frd.'</span>)</a><p><center>Список:</center></p>';
//Эх подстраничная навигация нелезть:)
$nstr='10'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`friend` WHERE `user_id` = '$user_id' or `frend_id` = '$user_id' and `tip` = '0'"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
$query_us = "Select * from `friend` WHERE `user_id` = '$user_id' or `frend_id` = '$user_id' and `tip` = '0' order by id desc LIMIT $str,$nstr";
      $result_us = mysqli_query($dbc, $query_us) or die ('Ошибка передачи запроса к БД');
	  while ($dr = mysqli_fetch_array($result_us)) {
$anka= $dbc->query("SELECT * FROM `users` WHERE `id` = '".$dr['frend_id']."'")->fetch_assoc();
$g=$anka[gruppa];
if($g=='dolg'){$gruppa='<img src="/img/ico/dolg.png" height="12" width="12"/>';}elseif($g=='naemniki'){$gruppa='<img src="/img/ico/odinochkion.png" height="12" width="12"/>';}elseif($g=='svoboda'){$gruppa='<img src="/img/ico/svoboda.png" height="12" width="12"/>';}
$last_active = $anka['last_active'];$last_active = strtotime("$last_active");$now = (date("Y-m-d H:i:s"));$now = strtotime("$now");$ont = ($now - $last_active);
if($ont<300){$onl='<img src="/img/ico/on.png" height="12" width="12"/>';}else{$onl='<img src="/img/ico/off.png" height="12" width="12"/>';}
echo' <div class="r6">'.$onl.' '.$gruppa.'<a style="text-decoration:none;" href="user.php?id='.$anka['id'].'">'.$anka['nick'].'</a></div>';
}
if($count==0){echo'Нет новых заявок в друзья';}
if($count>0){$pages->print_nav('&');} //Навигация гг
echo"<div class='r2'><img src='inc/arrow.png' ><a  style='text-decoration:none;' href=\"friends.php?\">Назад</a></div>";
break;
case 'add':
$user_id=abs(intval($_SESSION['id']));
$ad_id = abs(intval($_GET['id']));
$pdo->exec("INSERT INTO `friend` set `frend_id` = '$user_id', `user_id` = '$ad_id'");
header('location:/user.php?id='.$ad_id.''); exit;
break;
case 'del':
break;
}
require_once('conf/navig.php');
require_once('conf/foot.php');
?>
</div>
</body>
</html>